package com.prolog.cs.biz.outbound.model.dto;

import com.prolog.cs.biz.outbound.model.entity.MoveTaskDO;
import com.prolog.framework.core.annotation.Column;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class MoveTaskDODTO extends MoveTaskDO {

    @ApiModelProperty(value = "仓库id")
    @Column(value = "warehouse_id")
    private String warehouseId;

    @ApiModelProperty(value = "长（箱CM）")
    @Column(value = "length")
    private BigDecimal length;

    @ApiModelProperty(value = "宽（箱CM）")
    @Column(value = "width")
    private BigDecimal width;

    @ApiModelProperty(value = "高（箱CM）")
    @Column(value = "height")
    private BigDecimal height;

    @ApiModelProperty(value = "体积（箱立方厘米）")
    @Column(value = "volume")
    private BigDecimal volume;

    @ApiModelProperty("整散标记(?到仓库 ,不能为通用属性 01整散合一/02整散分开)")
    @Column(value = "is_case_or_piece")
    private Integer isCaseOrPiece;

    @Column(value = "weight")
    @ApiModelProperty(value = "重量（箱KG）")
    private BigDecimal weight;

    @ApiModelProperty(value = "商品編碼")
    private String  itemCode;

    @ApiModelProperty(value = "商品名")
    private String itemName;

    @ApiModelProperty(value = "批次号")
    @Column(value = "batch_num")
    private String batchNum;

    @ApiModelProperty(value = "有效期至")
    @Column(value = "expired_date")
    private Date expiredDate;

    @ApiModelProperty(value = "生产日期")
    @Column(value = "production_date")
    private Date productionDate;

    @ApiModelProperty(value = "合单号")
    private String billGroupId;

    @ApiModelProperty(value = "补货源托盘号")
    private String containerCode;

    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getBillGroupId() {
        return billGroupId;
    }

    public void setBillGroupId(String billGroupId) {
        this.billGroupId = billGroupId;
    }

    @Override
    public String getBatchNum() {
        return batchNum;
    }

    @Override
    public void setBatchNum(String batchNum) {
        this.batchNum = batchNum;
    }

    public Date getExpiredDate() {
        return expiredDate;
    }

    public void setExpiredDate(Date expiredDate) {
        this.expiredDate = expiredDate;
    }

    public Date getProductionDate() {
        return productionDate;
    }

    public void setProductionDate(Date productionDate) {
        this.productionDate = productionDate;
    }

    private String batchExpiredDateShow;
    private String batchProductionDateShow;



    public String getBatchExpiredDateShow() {
        return batchExpiredDateShow;
    }

    public void setBatchExpiredDateShow(String batchExpiredDateShow) {
        this.batchExpiredDateShow = batchExpiredDateShow;
    }

    public String getBatchProductionDateShow() {
        return batchProductionDateShow;
    }

    public void setBatchProductionDateShow(String batchProductionDateShow) {
        this.batchProductionDateShow = batchProductionDateShow;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    @Override
    public String getWarehouseId() {
        return warehouseId;
    }

    @Override
    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public BigDecimal getLength() {
        return length;
    }

    public void setLength(BigDecimal length) {
        this.length = length;
    }

    public BigDecimal getWidth() {
        return width;
    }

    public void setWidth(BigDecimal width) {
        this.width = width;
    }

    public BigDecimal getHeight() {
        return height;
    }

    public void setHeight(BigDecimal height) {
        this.height = height;
    }

    public BigDecimal getVolume() {
        return volume;
    }

    public void setVolume(BigDecimal volume) {
        this.volume = volume;
    }

    public Integer getIsCaseOrPiece() {
        return isCaseOrPiece;
    }

    public void setIsCaseOrPiece(Integer isCaseOrPiece) {
        this.isCaseOrPiece = isCaseOrPiece;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }
}
